%script to solve problem on page 12 in Ragan chapter 7
%from apparent dip vectors
%A1(20/286)
%A2(30/036)
%determine the attitude of the plane

%first plot them on the stereonet:
figure(1)
clf
primitive1;
text(0,1, 'N', 'HorizontalAlignment', 'center', 'VerticalAlignment', 'bottom')
plotpoint(20,286);
hold on
plotpoint(30,036);

[lA1, mA1, nA1] =plunge_trend_to_dir_cosines(20,286);
fprintf(1,'A1 l = %3.4f m = %3.4f n = %3.4f\n', lA1, mA1, nA1)
A1=[lA1, mA1, nA1];

[lA2, mA2, nA2] =plunge_trend_to_dir_cosines(30,036);
fprintf(1,'A2 l = %3.4f m = %3.4f n = %3.4f\n', lA2, mA2, nA2)
A2=[lA2, mA2, nA2];

P = cross(A1,A2);
mag = sqrt(P(1)^2 + P(2)^2 + P(3)^2);
P(1) = P(1)/mag;
P(2) = P(2)/mag;
P(3) = P(3)/mag;

lp = P(1); mp = P(2); np = P(3);
fprintf(1,'P l = %3.4f m = %3.4f n = %3.4f\n', lp, mp, np)

[pole_plunge, pole_trend] = dir_cosines_to_plunge_trend(lp, mp, np);
fprintf(1,'Pole plunge = %3.4f and trend = %3.4f\n', pole_plunge, pole_trend)

plotdiamond(pole_plunge, pole_trend);


%Dip vector from the pole should be
ld = -lp; md = -mp; nd = cosd(pole_plunge);
[dip, dipdir] = dir_cosines_to_plunge_trend(ld, md, nd);
fprintf(1,'dip = %3.4f and dipdir = %3.4f\n', dip, dipdir)
greatcircle(dip, dipdir);

% Output:
% problem12
% A1 l = 0.2590 m = -0.9033 n = 0.3420
% A2 l = 0.7006 m = 0.5090 n = 0.5000
% P l = -0.6294 m = 0.1108 n = 0.7692
% Pole plunge = 50.2787 and trend = 170.0190
% dip = 39.7213 and dipdir = 350.0190
