%script to solve problem on page 13 in Ragan chapter 7
%from two pole vectors, compute the attitude of the intersection line
%P1(70/146)
%P2(50/262)

%first plot them on the stereonet:
figure(1)
clf
primitive1;
text(0,1, 'N', 'HorizontalAlignment', 'center', 'VerticalAlignment', 'bottom')

[lP1, mP1, nP1] =plunge_trend_to_dir_cosines(70,146);
fprintf(1,'P1 l = %3.4f m = %3.4f n = %3.4f\n', lP1, mP1, nP1)
P1=[lP1, mP1, nP1];
ld1 = -lP1; md1 = -mP1; nd1 = cosd(70);
[dip, dipdir] = dir_cosines_to_plunge_trend(ld1, md1, nd1);
fprintf(1,'dip = %3.4f and dipdir = %3.4f\n', dip, dipdir)
greatcircle(dip, dipdir);

[lP2, mP2, nP2] =plunge_trend_to_dir_cosines(50,262);
fprintf(1,'P2 l = %3.4f m = %3.4f n = %3.4f\n', lP2, mP2, nP2)
P2=[lP2, mP2, nP2];
ld2 = -lP2; md2 = -mP2; nd2 = cosd(50);
[dip, dipdir] = dir_cosines_to_plunge_trend(ld2, md2, nd2);
fprintf(1,'dip = %3.4f and dipdir = %3.4f\n', dip, dipdir)
greatcircle(dip, dipdir);

I = cross(P1,P2);
%need to renormalize!!!
mag = sqrt(I(1)^2 + I(2)^2 + I(3)^2);
I(1) = I(1)/mag;
I(2) = I(2)/mag;
I(3) = I(3)/mag;

li = I(1); mi = I(2); ni = I(3);
fprintf(1,'I l = %3.4f m = %3.4f n = %3.4f\n', li, mi, ni)
[plunge, trend] = dir_cosines_to_plunge_trend(li, mi, ni);
fprintf(1,'Intersection plunge = %3.4f and trend = %3.4f\n', plunge, trend)
plotpoint(plunge,trend);


% output:
% problem13
% P1 l = -0.2835 m = 0.1913 n = 0.9397
% dip = 20.0000 and dipdir = 326.0000
% P2 l = -0.0895 m = -0.6365 n = 0.7660
% dip = 40.0000 and dipdir = 82.0000
% I l = 0.9524 m = 0.1703 n = 0.2527
% Intersection plunge = 14.6392 and trend = 10.1375









