%script to explore some vector items
%JRA 20220916 using DMR functions

figure(1)
clf
primitive1;
text(0,1, 'N', 'HorizontalAlignment', 'center', 'VerticalAlignment', 'bottom')

%input attitude:
plunge=35;
trend=280;
%~~~~~~~~~~Plotting trend and plunge~~~~~~~~~~~
plotdiamond(plunge,trend);

[l,m,n] = plunge_trend_to_dir_cosines(plunge, trend);

fprintf('l = %0.2f, m = %0.2f, n = %0.2f\n', l, m, n)

%~~~~~~~~~~~~~~~Dot product 1~~~~~~~~~~~~~~~~~~~~
[lone, mone, none] = plunge_trend_to_dir_cosines(30,310);
fprintf('l = %0.2f, m = %0.2f, n = %0.2f\n', lone, mone, none)
pone=[lone, mone, none];
 
[ltwo, mtwo, ntwo] = plunge_trend_to_dir_cosines(60,030);
ptwo=[ltwo, mtwo, ntwo];
fprintf('l = %0.2f, m = %0.2f, n = %0.2f\n', ltwo, mtwo, ntwo)

figure(2)
clf
primitive1;
text(0,1, 'N', 'HorizontalAlignment', 'center', 'VerticalAlignment', 'bottom')
plotdiamond(30,310);
hold on
plotdiamond(60,030);

%two ways to do it:
acosd(sum(pone.*ptwo))
%or
phi = acosd(dot(pone,ptwo))


%~~~~~~~~~~~~~~~Dot product 2~~~~~~~~~~~~~~~~~~~~
[l, m, n] =plunge_trend_to_dir_cosines(30,310);
 
figure(3)
clf
primitive1;
text(0,1, 'N', 'HorizontalAlignment', 'center', 'VerticalAlignment', 'bottom')
plotpointcolor(30,310,'b^');
hold on

%first convert the pole to the two possible strike vectors:
l1 = -m;
m1 = l;
n1 = 0;
s1 = [l1, m1, n1];
[plunge, trend] = dir_cosines_to_plunge_trend(l1, m1, n1);
strike1 = trend;
plotpointcolor(0,strike1,'rx');
 
l2 = m;
m2 = -l;
n2 = 0;
s2 = [l2, m2, n2];
[plunge, trend] = dir_cosines_to_plunge_trend(l2, m2, n2);
strike2 = trend;
plotpointcolor(0,strike2,'rx');
  
%now get the direction cosines of A
[la, ma, na] =plunge_trend_to_dir_cosines(48,080);
A = [la, ma, na];
plotpointcolor(48,080,'go');
 
%now do the dots
phi1 = acosd(dot(s1,A))
phi2 = acosd(dot(s2,A))









